petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabGetElementConnectivity

Get the vertex adjacency for the given entity

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetElementConnectivity(DM dm,moab::EntityHandle ehandle,PetscInt* nconn,const moab::EntityHandle **conn)

Collective on MPI_Comm Many br

### Input Parameter

dm - The DMMoab object Many br
ehandle - Vertex entity handle Many br

### Output Parameter

nconn - Number of entities whose coordinates are needed Many br
conn - The vertex entity handles Many br

Many br

### See Also

DMMoabGetVertexCoordinates(), DMMoabGetVertexConnectivity(), DMMoabRestoreVertexConnectivity()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html